package http_model

type PreLinkListRequest struct {
	PageSize     int      `json:"page_size"`
	PageNum      int      `json:"page"`
	ProjectId    string   `json:"project_id"`  // 项目ID
	LinkStatus   string   `json:"link_status"` // 链接状态，11待传链接
	EnterpriseId string   `json:"enterprise_id"`
	SortField    []string `json:"sort_field,omitempty"`
	SortOrder    []string `json:"sort_order,omitempty"`
	Others       string   `json:"others,omitempty"`
}

type GetprelinkListData struct {
	TasklinkList []*Tasklinkinfo `json:"task_list"`
	Total        string          `json:"total"`
}

type Tasklinkinfo struct {
	Task *TaskInfo `json:"task_info"`
	DDl  string    `json:"ddl"` // 提交时间
}

func NewPreLinkListRequest() *PreLinkListRequest {
	return new(PreLinkListRequest)
}

func NewPreLinkListResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(GetprelinkListData)
	return resp
}
